Home

ledger

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieve information about a specific ledger in the XRP Ledger. This method returns detailed information about a ledger's header, hash, and metadata.

Body

application/json

Retrieve information about a specific ledger in the XRP Ledger. This method returns detailed information about a ledger's header, hash, and metadata.

JSON-RPC request payload.

methodstringledgerrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_indexstringvalidatedcurrentclosed

The ledger index to retrieve. "validated" returns the most recent validated ledger.

ledger_hashstring

A 20-byte hex string for the ledger version to use (not recommended)

transactionsboolean

If true, include transactions in the ledger data. Defaults to false.

expandboolean

If true, include full transaction details rather than only transaction hashes. Only applies when transactions is true.

owner_fundsboolean

If true, include owner_funds field in OfferCreate transactions. Only applies when transactions and expand are both true.

diffboolean

If true, include a diff of ledger state changes. This can significantly increase response size.

Response

200OK

HTTP 200 response for ledger. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.